using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using TMPro;
using UnityEngine;
using UnityEngine.Events;
public class HookBehaviour : MonoBehaviour, Messages.ILodged, Messages.IOnUserDelete
{
    #region vars
    [NonSerialized] public GrapplingGunBehaviour connectedGun;

    [NonSerialized] private bool lodgedBefore = false;
    #endregion

    #region functions
    public void Lodged(Stabbing stabbing)
    {
        if(!this.lodgedBefore)
        {
            this.lodgedBefore = true;
            this.connectedGun.UpdateDistance();
        }
    }

    public void OnUserDelete()
    {
        this.connectedGun.Recover();
    }
    #endregion
}